Mautic Community Forums

Deprecation error



mautic.ERROR: Deprecation: The SymfonyComponentTranslationTranslator::getMessages method is deprecated since version 2.8 and will be removed in 3.0. Use TranslatorBagInterface::getCatalogue() method instead. - in file /var/www/dchorizon/vendor/symfony/translation/Translator.php - at line 275 [] []
please help to solve it

mautic.ERROR: Deprecation: The SymfonyComponentTranslationTranslator::getMessages method is deprecated since version 2.8 and will be removed in 3.0. Use TranslatorBagInterface::getCatalogue() method instead. - in file /var/www/dchorizon/vendor/symfony/translation/Translator.php - at line 275 [] []
please help to solve it

I don’t think this is something you should solve? Probably Mautic uses some functions that will be removed from the used Symfony framework soon, and a future version will be patched to use the new method instead.

Does the error above cause you any instability or inability to use Mautic, though?

Best,
D.